org.codehaus.plexus.util.cli

## Interface StreamConsumer

All Known Implementing Classes:
  CommandLineUtils.StringStreamConsumer, DefaultConsumer, WriterStreamConsumer

    public interface StreamConsumer

Works in concert with the StreamPumper class to allow implementations to gain access to the lines being "Pumped".

Version:
  $Id: StreamConsumer.java 8010 2009-01-07 12:59:50Z vsiveton $
Author:
  Florin Vancea, Paul Julius

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `consumeLine(java.lang.String line)` Called when the StreamPumper pumps a line from the Stream.

### Method Detail

#### consumeLine

    void consumeLine(java.lang.String line)

Called when the StreamPumper pumps a line from the Stream.